Subject: [BEHAVE] RFC6052, RFC5735, and "non-global IPv4 addresses" with WKP

From: <[email-masked]>
Date: Tue, 22 May 2012 06:37:37 +0000

Hi,

RFC6052 says in section 3.1:
--
   The Well-Known Prefix MUST NOT be used to represent non-global IPv4
   addresses, such as those defined in [RFC1918] or listed in Section 3
   of [RFC5735].
--
After reading the sentence, again, and few times more, does it mean WKP *can* be used to represent *global* IPv4 addresses listed in Section 3 of RFC5735? 

If they can be used with WKP, are all of these address blocks considered global:
- 192.88.99.0/24 - 6to4 relay anycast address - these can appear in public Internet
- 192.0.0.0/24 - IETF protocol assignments - The RFC5735 does not really state if that block is global or not.. 
- 224.0.0.0/4 multicast block

I'm asking this clarification as I'm thinking what could be good IPv4 addresses for well-known names used for NAT64 heuristic discovery. And maybe if 192.0.0.0/24 can be considered global in the spirit of RFC6052, that might be best place to get addresses.

Best regards,

	Teemu

---

From: Christian Huitema <[email-masked]>
Date: Tue, 22 May 2012 06:51:34 +0000

The rationale behind the text is simple: if an address is not global, then the translation is ambiguous. If an address is global, the translation will work as expected -- even if the address is IETF assigned, or otherwise special.  For example, many root DNS servers seat behind the same IPV4 address, effectively an "anycast" address. Using the WKP with such addresses would work just fine.

________________________________________
From: [email-masked] [[email-masked]] on behalf of [email-masked] [[email-masked]]
Sent: Monday, May 21, 2012 11:37 PM
To: [email-masked]
Subject: [BEHAVE] RFC6052, RFC5735, and "non-global IPv4 addresses" with WKP

Hi,

Best regards,

        Teemu
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave

---

From: <[email-masked]>
Date: Tue, 22 May 2012 08:18:36 +0000

Great. So then we could simply use two or so addresses from 192.0.0.0/24 and specify in the heuristic document that these addresses are considered as global scope (and hence valid to appear with WKP). 

I hope there are no existing validation codes in DNS64s that would get headache with A record  containing addresses from this 192.0.0.0/24 block?

Best regards,

	Teemu

> -----Original Message-----
> From: ext Christian Huitema [mailto:[email-masked]]
> Sent: 22. toukokuuta 2012 09:52
> To: Savolainen Teemu (Nokia-NRC/Tampere); [email-masked]
> Subject: RE: RFC6052, RFC5735, and "non-global IPv4 addresses" with WKP
> 
> The rationale behind the text is simple: if an address is not global, then the
> translation is ambiguous. If an address is global, the translation will work as
> expected -- even if the address is IETF assigned, or otherwise special.  For
> example, many root DNS servers seat behind the same IPV4 address,
> effectively an "anycast" address. Using the WKP with such addresses would
> work just fine.
> 
> From: [email-masked] [[email-masked]] on behalf of
> [email-masked] [[email-masked]]
> After reading the sentence, again, and few times more, does it mean WKP
> *can* be used to represent *global* IPv4 addresses listed in Section 3 of
> RFC5735?
> 
> I'm asking this clarification as I'm thinking what could be good IPv4 addresses
> for well-known names used for NAT64 heuristic discovery. And maybe if
> 192.0.0.0/24 can be considered global in the spirit of RFC6052, that might be
> best place to get addresses.
> 
> Best regards,
> 
>         Teemu